import request from '@/utils/request'

// 查询个体年报网站或网店信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrWebsiteInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体年报网站或网店信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrWebsiteInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体年报网站或网店信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrWebsiteInfo',
    method: 'post',
    data: data
  })
}

// 修改个体年报网站或网店信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrWebsiteInfo',
    method: 'put',
    data: data
  })
}

// 删除个体年报网站或网店信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrWebsiteInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrWebsiteInfo/delete',ids)
}
